GdalTools: improve Build Overviews dialog by adding more options, and translatable Translate 

dialog
Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12992

Description

Enable the following options in Build Overviews:

- Clean overviews (GDAL >=1.7.0)

- Overviews with JPEG compression,

- Define quality for JPEG compression (GDAL =>1.7.0)

- Use ERDAS Imagine format (.aux) file

Also, small correction to Translate to allow translation of 2 error messages (added self.tr).

Duarte

History

#1 - 2010-08-06 04:18 PM - Giuseppe Sucameli

- Status changed from Open to In Progress

Should the JPEG quality be enabled only if the "Overviews in TIFF with JPEG compression" is checked, isn't it?

And if the input image is not a [[GeoTIFF]], what happen? We should disable the "Overviews in TIFF..." checkbox in that case.

By testing the input file format, if it's not Erdas Imagine we can disable/enable also the "overview in .aux file".

We have to mind about this before applying the patch. Your opinions?

#2 - 2010-08-07 11:32 AM - dcarreira -

Replying to [comment:1 brushtyler]:

Should the JPEG quality be enabled only if the "Overviews in TIFF with JPEG compression" is checked, isn't it?

And if the input image is not a [[GeoTIFF]], what happen? We should disable the "Overviews in TIFF..." checkbox in that case.

By testing the input file format, if it's not Erdas Imagine we can disable/enable also the "overview in .aux file".

I think external ovrs are always in a tiff file, that can have a jpeg compression. gdaladdo page states that:

"(...)file with the extension .ovr that is actually in TIFF format"
And an ERDAS file can be created instead. So the option "Overviews in TIFF..." should always be available. 

The same would apply to the Erdas option. It should be available regardless of the original's format.

I'm not sure what GDAL does if the original file is a [[MrSID]], ECW or JP2, which have internal overviews already. Can it create external ovrvs? I don't

know. Maybe in this case, JPEG compression would not work?

As for the sub-option "JPEG Quality", I think it only makes sense when you choose to create the external ovr with JPEG compression, so it seems correct

to me as it is.

We have to mind about this before applying the patch. Your opinions?

I confess I did not try to catch incompatible settings, since GDAL will catch those already and [[GdalTools]] reports those errors to the user.

#3 - 2010-08-10 08:14 AM - Giuseppe Sucameli

Replying to [comment:2 dcarreira]:

Replying to [comment:1 brushtyler]:

Should the JPEG quality be enabled only if the "Overviews in TIFF with JPEG compression" is checked, isn't it?

And if the input image is not a [[GeoTIFF]], what happen? We should disable the "Overviews in TIFF..." checkbox in that case.

By testing the input file format, if it's not Erdas Imagine we can disable/enable also the "overview in .aux file".

I think external ovrs are always in a tiff file, that can have a jpeg compression. gdaladdo page states that:

"(...)file with the extension .ovr that is actually in TIFF format"

And an ERDAS file can be created instead. So the option "Overviews in TIFF..." should always be available. 

The same would apply to the Erdas option. It should be available regardless of the original's format.

I'm not sure what GDAL does if the original file is a [[MrSID]], ECW or JP2, which have internal overviews already. Can it create external ovrvs? I

don't know. Maybe in this case, JPEG compression would not work?

As for the sub-option "JPEG Quality", I think it only makes sense when you choose to create the external ovr with JPEG compression, so it seems

correct to me as it is.

We have to mind about this before applying the patch. Your opinions?

I confess I did not try to catch incompatible settings, since GDAL will catch those already and [[GdalTools]] reports those errors to the user.

Ok, I'm going to apply the patch.

The only change I'm doing is to convert the "overview in TIFF with JPEG..." to a groupbox (see the Translate's creation options) so we avoid to

enable/disable the "JPEG Quality" by code.

#4 - 2010-08-18 03:30 AM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from In Progress to Closed
Patch applied (). 

I kept the widget containing the "JPEG Quality" (as in your patch), without change it to a groupbox.

Files

patch_for_ticket_2932.diff 7.26 KB 2010-08-06 dcarreira -
